Subject: Re: [lisp] WGLC draft-ietf-lisp-eid-block-07

From: Luigi Iannone <[email-masked]>
Date: Mon, 20 Jan 2014 12:12:32 +0100

Hi All,

The LC for this document has expired a while ago and my personal take is that there is some text to adjust before going forward.

Section 4 will have the following text (reviewed by Geoff):

       To provide reachability from the non-LISP Internet EID prefix may be
	restrictively announced in the BGP routing infrastructure by one or more 
	PITR(s) as more specifics. The intended scope of these more specific 
	prefix advertisements may be deliberated limited by the PITR to reflect 
	local routing policies.

	The EID block must be used for LISP experimentation and must not be 
	advertised in the form of more specific route advertisements in the 
	non-LISP inter-domain routing environment. Interworking between the 
	EID block sub-prefixes and the non-LISP Internet is done according to 
	[RFC6832] and [I-D.ietf-lisp-deployment].

Any further amendments on these two paragraphs?

Second point to finalise is about PITRs. There was a nice discussion on this topic nicely summarised by Ron Bonica in

http://www.ietf.org/mail-archive/web/lisp/current/msg04981.html

So, the options on the table are:

a)  Nice discussion but PITR deployment model has no place in this document.

b)  Extend section 4 (Expected Use) to include a summary of the discussion.

please express your opinion.

ciao

Luigi

On 6 Dec. 2013, at 20:04 , Ross Callon <[email-masked]> wrote:

>> ... and to make it usable we cannot expect each and every ISP to run a PITR for their own customers
> 
> Yes indeed. A problem with all service providers offering PITR service to 
> their own customers only is that for quite a while not all service providers
> will choose to do anything related to LISP. Thus in the intermediate term if 
> some service providers offer and use LISP, and others do not, there needs to 
> be some way for customers from the "no LISP" service providers to send traffic 
> to customers using LISP from the "I support LISP" service providers.
> 
> Thus to me it seems that service providers who support LISP for their 
> customers are going to need to supply the PITRs to reach their customers. 
> Of course it is possible that you could be right and this could be one
> global provider who can offer service in many parts of the world (assuming
> that someone chooses to be that provider). 
> 
> Ross
> 
> -----Original Message-----
> From: lisp [mailto:[email-masked]] On Behalf Of Sander Steffann
> Sent: Friday, December 06, 2013 4:10 AM
> To: Geoff Huston
> Cc: LISP mailing list list
> Subject: Re: [lisp] WGLC draft-ietf-lisp-eid-block-07
> 
> Hi Geoff,
> 
> I was more thinking of one or more large (glibal) transit providers to include LISP PITR services as an official managed service with anycast nodes around the world. I definitely don't want to repeat the 6to4 disaster where there are a few sparsely distributed volunteer nodes, and to make it usable we cannot expect each and every ISP to run a PITR for their own customers. Certainly not while it is experimental.
> 
> Transit providers actually get paid for the traffic they handle, so for them it can be economically interesting to offer well performing PITR services.
> 
> Met vriendelijke groet,
> Sander Steffann
> 
> Op 5 dec. 2013 om 21:04 heeft Geoff Huston <[email-masked]> het volgende geschreven:
> 
>>> Sander,
>>> 
>>> I think that what you are saying is true. Do folks agree?
>> 
>> agree, yes. But at the same time I should point out that this approach
>> has some serious downside risk.
>> 
>> This limited advertisement scope was the theory behind the intended routing
>> scope of 2002::/16. The theory was that every provider would advertise
>> 2002::/16 to its customers, and noone would need to take the unfunded transit
>> traffic hit of advertising this gateway prefix globally.
>> 
>> And some providers did precisely that. However most folk did absolutely nothing,
>> so reachability into the 2002::/16 space was erratic, unmanaged and non-functional.
>> The approach described below by Sander could be seen as a replay of this
>> same piecemeal limited scope advertisement scenario, and has the same risk.
>> 
>> What's the risk?
>> 
>> Again 2002::/16 has some clues.
>> 
>> While the experiment is of small scale and the traffic levels are insignificant
>> some folk will advertise the /32 prefix globally and absorb the unfunded
>> transit traffic as part of the experiment. This sounds great, but it has
>> some serious downsides.
>> 
>> The consequent routing from the non-LISP world to the LISP world may well
>> have highly inefficient and lengthy paths for many, as the "closest" gateway
>> may well be on the other side of the planet.  (e.g. from Australia I still
>> send most of my Teredo traffic via Amsterdam - obviously performance sucks when this
>> happens!)
>> 
>> The consequent impact on performance of these extended "dog leg" paths that need
>> to head to the PITR gateway to transit between the LISP and non-LISP routing domains
>> which may well have some negative impact on the perceptions of LISP performance
>> in the context of this experiment. i.e. it appears that the negative 6to4 perceptions were
>> not only due to widespread use of local protocol 41 filters, but also due to the
>> asymmetric and highly erratic transit paths between end users and the sparsely deployed
>> 6to4 gateways.
>> 
>> Geoff
>> 
>> 
>> 
>> 
>>> On 6 Dec 2013, at 3:06 am, Ronald Bonica <[email-masked]> wrote:
>>> 
>>> 
>>> 
>>>> -----Original Message-----
>>>> From: Sander Steffann [mailto:[email-masked]]
>>>> Sent: Thursday, December 05, 2013 2:02 AM
>>>> To: Dino Farinacci
>>>> Cc: Ronald Bonica; Luigi Iannone; Geoff Huston; LISP mailing list list
>>>> Subject: Re: [lisp] WGLC draft-ietf-lisp-eid-block-07
>>>> 
>>>> Hi,
>>>> 
>>>>> As I said before, the /32 advertisements of an EID-block are
>>>> advertised within an ISP towards the edges of the network. Those edges
>>>> are towards its customers so its customers, as sources in non-LISP
>>>> sites, can reach destinations in LISP sites.
>>>> 
>>>> So if it is only done this way, that means for global reachability of
>>>> the LISP prefix at least one global transit provider has to run PITRs.
>>>> They wouldn't mind attracting the traffic from their customers. That is
>>>> what they are paid for :-)  That would make it work, *if* we can
>>>> convince the big transit(s).
>>>> 
>>>> Cheers,
>>>> Sander
>> 
> _______________________________________________
> lisp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lisp
> 
> 
> 
> _______________________________________________
> lisp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lisp